using GDWeave;
namespace BetterFirstPerson;

public class BetterFirstPersonMod : IMod {
    public Config Config;
    //public Serilog.ILogger Logger;

    public BetterFirstPersonMod(IModInterface modInterface) {
        this.Config = modInterface.ReadConfig<Config>();
        //this.Logger = modInterface.Logger;

        modInterface.Logger.Information("[Better First Person] silliness successfully enhanced :3");
        modInterface.RegisterScriptMod(new PlayerPatch(this));
    }

    public void Dispose() {}
}
